#include <stdio.h>
#include "hocdec.h"
extern int nrnmpi_myid;
extern int nrn_nobanner_;
#if defined(__cplusplus)
extern "C" {
#endif

extern void _CaDynamics_E2_reg(void);
extern void _CaDynamics_E2_soma_reg(void);
extern void _Ca_HVA_reg(void);
extern void _Ca_HVA_soma_reg(void);
extern void _Ca_LVAst_reg(void);
extern void _Ca_LVAst_soma_reg(void);
extern void _Ca_reg(void);
extern void _hhqt_reg(void);
extern void _Ih_reg(void);
extern void _Im_reg(void);
extern void _K_Pst_reg(void);
extern void _K_Tst_reg(void);
extern void _Nap_Et2_reg(void);
extern void _NaTa_t_reg(void);
extern void _NaTa_t_myel_reg(void);
extern void _NaTa_t_nor_reg(void);
extern void _NaTs2_t_apic_reg(void);
extern void _NaTs2_t_reg(void);
extern void _NaTs2_t_soma_reg(void);
extern void _SK_E2_reg(void);
extern void _SK_E2_soma_reg(void);
extern void _SKv3_1_apic_reg(void);
extern void _SKv3_1_reg(void);
extern void _SKv3_1_soma_reg(void);
extern void _xtra_reg(void);

void modl_reg() {
  if (!nrn_nobanner_) if (nrnmpi_myid < 1) {
    fprintf(stderr, "Additional mechanisms from files\n");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/CaDynamics_E2.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/CaDynamics_E2_soma.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Ca_HVA.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Ca_HVA_soma.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Ca_LVAst.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Ca_LVAst_soma.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Ca.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/hhqt.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Ih.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Im.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/K_Pst.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/K_Tst.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/Nap_Et2.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/NaTa_t.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/NaTa_t_myel.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/NaTa_t_nor.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/NaTs2_t_apic.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/NaTs2_t.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/NaTs2_t_soma.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/SK_E2.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/SK_E2_soma.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/SKv3_1_apic.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/SKv3_1.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/SKv3_1_soma.mod\"");
    fprintf(stderr, " \"/home/qh4os/neurenv/mech/xtra.mod\"");
    fprintf(stderr, "\n");
  }
  _CaDynamics_E2_reg();
  _CaDynamics_E2_soma_reg();
  _Ca_HVA_reg();
  _Ca_HVA_soma_reg();
  _Ca_LVAst_reg();
  _Ca_LVAst_soma_reg();
  _Ca_reg();
  _hhqt_reg();
  _Ih_reg();
  _Im_reg();
  _K_Pst_reg();
  _K_Tst_reg();
  _Nap_Et2_reg();
  _NaTa_t_reg();
  _NaTa_t_myel_reg();
  _NaTa_t_nor_reg();
  _NaTs2_t_apic_reg();
  _NaTs2_t_reg();
  _NaTs2_t_soma_reg();
  _SK_E2_reg();
  _SK_E2_soma_reg();
  _SKv3_1_apic_reg();
  _SKv3_1_reg();
  _SKv3_1_soma_reg();
  _xtra_reg();
}

#if defined(__cplusplus)
}
#endif
